Nsim<-Theta<-Method<-Ysimu<-Xsimu<-var.interest<-S<-N.ech<-Formula.multinom<-list(SAheart=NULL,galetas=NULL,sbp=NULL,income=NULL,Titanic=NULL,credit=NULL)

#################
#SAheart
#################


Nsim$SAheart<-200
Method$SAheart<-c("LD","sample","MIMCA.w","amelia","DPMPM","mice_log","mice_rf")
Ysimu$SAheart<-Saheart[,2,drop=F]
Xsimu$SAheart<-Saheart[,-2]
var.interest$SAheart<-c(1,8:10)
S$SAheart<-4
N.ech$SAheart<-300
Formula.multinom$SAheart<-"chd ~ famhist + tobacco.log.quali + alcohol.log.quali"
Theta$SAheart<-rep(1,2*3*3*3*4*4*3*4*3*3*2)


#################
##galetas
#################

Nsim$galetas<-200
Method$galetas<-c("LD","sample","MIMCA.w","amelia","DPMPM","da.cat","mice_log","mice_rf")
Ysimu$galetas<-galetas[,1,drop=F]
Xsimu$galetas<-galetas[,-1]
var.interest$galetas<-c(2,4)
S$galetas<-2
N.ech$galetas<-300
Formula.multinom$galetas<-"galle ~ grupo"
Theta$galetas<-rep(1,11*11*3*2)

#################
##income
#################


Nsim$income<-200
Method$income<-c("LD","sample","MIMCA.w","mice_log","mice_rf","DPMPM")
Ysimu$income<-income[,1,drop=F]
Xsimu$income<-income[,-1]
var.interest$income<-c(1,14)
S$income<-5
N.ech$income<-1500
Formula.multinom$income<-"INCOME~ SEX"



##############
#sbp
##############

Nsim$sbp<-200
Method$sbp<-c("LD","sample","MIMCA.w","mice_log","mice_rf","DPMPM")
Ysimu$sbp<-Sbp[,1,drop=F]
Xsimu$sbp<-Sbp[,-1]
var.interest$sbp<-c(3,4,7,18)
S$sbp<-3
N.ech$sbp<-200
Formula.multinom$sbp<-"sbp ~ smoke + exercise + alcohol"
Theta$sbp<-NULL

##############
#Titanic
##############
Nsim$Titanic<-200
Method$Titanic<-c("LD","sample","MIMCA.w","mice_log","mice_rf","DPMPM","amelia","da.cat")
Ysimu$Titanic<-Titanic[,4,drop=F]
Xsimu$Titanic<-Titanic[,-4]
var.interest$Titanic<-c(1:4)
S$Titanic<-5
N.ech$Titanic<-300
Formula.multinom$Titanic<-"SURV ~ CLASS+AGE+SEX"
Theta$Titanic<-rep(1,4*2*2*2)
summary(Titanic)

##############
#credit
##############

Nsim$credit<-200
Method$credit<-c("LD","sample","MIMCA.w","mice_log","mice_rf","DPMPM")
Ysimu$credit<-credit[,"class",drop=F]
Xsimu$credit<-credit[,-ncol(credit)]
var.interest$credit<-c(which(colnames(credit)%in%c("checking_status","duration","credit_history","purpose")),ncol(credit))
S$credit<-9
N.ech$credit<-300
Formula.multinom$credit<-"class ~ checking_status + duration + credit_history + purpose"
Theta$credit<-NULL